Page MenuHomePhabricator

[PowerPC] Fix td pattern for P10 VSLDBI and VSRDBI
ClosedPublic

Authored by quinnp on Sep 16 2021, 1:33 PM.

Details

Summary

This patch fixes the pattern for the P10 instructions Vector Shift Left
Double by Bit Immediate VN-form and Vector Shift Right Double by Bit
Immediate VN-form. The third argument should be a target constant (timm)
instead of an i32 because an immediate is expected.

Diff Detail

Event Timeline

quinnp created this revision.Sep 16 2021, 1:33 PM
quinnp requested review of this revision.Sep 16 2021, 1:33 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 16 2021, 1:33 PM
quinnp added reviewers: Restricted Project, lei, nemanjai, stefanp.Sep 16 2021, 1:34 PM
lei accepted this revision as: lei.Sep 20 2021, 10:44 AM

LGTM
Thx!

This revision is now accepted and ready to land.Sep 20 2021, 10:44 AM
This revision was landed with ongoing or failed builds.Sep 27 2021, 10:36 AM
This revision was automatically updated to reflect the committed changes.